/**
* @package Breizh Shoutbox extension
* @version $Id: shoutbox.js 100 
* @copyright(c) 2018 Sylver35   https://breizhcode.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
var uastring = navigator.userAgent,index,navigateur,version,is_ie = ((uastring.indexOf('msie') != -1) && (uastring.indexOf('opera') == -1));
var div,hin,huit,hin2,hsmilies,hbbcode,hinfo,hpurge,hdelete,hnr,run,runChange,Check,Nbr,timer_in,timer_online,display_shoutbox,shout_online,edit_button,last = 0,count = 0,nbe = 0,error_clear = 0,querynb = 0;
var start = true,first = true,smilies = false,colour = false,chars_view = false,oppost_view = false,shout_text = false,shout_rules = false,setSound = false,post_info = false,one_open = false,edit_form = null,shout_creator = false;
var form_name = 'postform',text_name = 'message',NBQuery = document.getElementById('Nbquery'),NBTemps = document.getElementById('Nbtemps'),volumeSounds = Number(0.5);
var config = new Array();
var Lang = new Array();

if(document.getElementById('shout_user1') != null){
	if(document.getElementById('shout_user1').disabled == false){
		var form_name = 'formuser';
		var text_name = 'shout_user1';
	}
}

function http(){
	try{
		var http_request = false;
		if(window.XMLHttpRequest){
			http_request = new XMLHttpRequest();
		}else if(window.ActiveXObject){
			try{
				http_request = new ActiveXObject('Msxml2.XMLHTTP');
			}catch(e){
				try{
					http_request = new ActiveXObject('Microsoft.XMLHTTP');
				}catch(e){}
			}
		}
		if(!http_request){
			throw err_msg(Lang['NO_AJAX']);
		}
		if(http_request.overrideMimeType){
			http_request.overrideMimeType('text/plain');
		}
		return http_request;
	}catch(e){
		handle(e);
		return false;
	}
}

function onProgress(event) {
    if (event.lengthComputable) {
        var percentComplete = 'Progress: '+((event.loaded / event.total)*100)+'%';
		iH('msg_txt',percentComplete);
		setTimeout("iH('msg_txt','')",1000);
    }
}

function err_msg(title,not_reload_complete = true,dirSound = false){
	var err = new Error(title);
	if(!err.message){
		err.message = title;
	}
	if(!not_reload_complete){
		clearTimeout(timer_in);
		load_shout();
	}
	if(dirSound != false){
		playSound(2,true);
	}
	err.name = 'E_USER_ERROR';
	return err;
}

function handle(e){
	switch(e.name){
		case'E_USER_ERROR':
		case'E_CORE_ERROR':
			message(e.message,true);
		break;
		default:
			{
			tmp = Lang['JS_ERR'];
			tmp += e.message;
			if(e.lineNumber){
				tmp += '\n'+Lang['LINE']+': ';
				tmp += e.lineNumber;
			}
			if(e.fileName){
				tmp += '\n'+Lang['FILE']+' : ';
				tmp += e.fileName;
			}
			message(tmp,true);
		}
	}
	playSound(2,true);
	clearTimeout(timer_in);
}

function sendUserAction(){
	var e = document.getElementById('shout_user1');
	var u = document.getElementById('user_inp');
	var s = document.getElementById('user_inp_sort');
	if(e.value == '' || e.value == Lang['SHOUT_AUTO']){
		alert(Lang['MESSAGE_EMPTY']);
	}else{
		postReq(e.value,u.value,s.value);
	}
}

function load_shout(){
	if(isGuest == true){
		if(getCookie('shout') == false){
			cookieShout('shout',correct_on,365);
		}
	}
	try{
		if(display_shoutbox != true){
			return;
		}
		if(document.getElementById('shoutbox') == null){
			var sp1 = document.createElement('div');
			var sp2 = document.getElementById('shout-fields');
			var parentDiv = sp2.parentNode;
			sp1.id = 'shoutbox';
			sp1.name = 'repare';
			sp1.style.display = 'inline-block';
			parentDiv.insertBefore(sp1,sp2);
		}
		div = document.getElementById('shoutbox');
		iH('shoutbox','');
		message(Lang['LOADING']);
		hin = http();
		if(!hin){
			return;
		}
		hin2 = http();
		huit = http();
		hnr = http();
		run = http();
		runChange = http();
		Check = http();
		Nbr = http();
		if(active_delete == true){
			hdelete = http();
		}
		if(active_info == true){
			hinfo = http();
		}
		if(active_purge == true){
			hpurge = http();
		}
		if(smilies_ok == true){
			hsmilies = http();
		}
		if(bbcode_ok == true){
			hbbcode = http();
		}
		
		write_main();
	}catch(e){
		handle(e);
		return;
	}
}

function shout_insert_text(text,spaces,popup){
	var textarea,cible;
	if(popup == true){
		cible = opener.document.getElementById('shout_user1');
	}else{
		cible = document.getElementById('shout_user1');
	}
	if(cible == null){
		var form_name = 'postform';
		var text_name = 'message';
	}else{
		if(cible.disabled == false){
			var form_name = 'formuser';
			var text_name = 'shout_user1';
		}else{
			var form_name = 'postform';
			var text_name = 'message';
		}
	}
	if(popup == true){
		textarea = opener.document.forms[form_name].elements[text_name];
	}else{
		textarea = document.forms[form_name].elements[text_name];
	}
	if(textarea.value == Lang['SHOUT_AUTO']){
		textarea.value = textarea.value.replace(Lang['SHOUT_AUTO'],'');
		textarea.style.color = 'black';
	}
	if(spaces == true){
		text = ' '+text+' ';
	}
	if(!isNaN(textarea.selectionStart) && !is_ie){
		var sel_start = textarea.selectionStart;
		var sel_end = textarea.selectionEnd;
		mozWrap(textarea,text,'');
		textarea.selectionStart = sel_start+text.length;
		textarea.selectionEnd = sel_end+text.length;
	}else if(textarea.createTextRange && textarea.caretPos){
		if(baseHeight != textarea.caretPos.boundingHeight){
			textarea.focus();
			storeCaret(textarea);
		}
		var caret_pos = textarea.caretPos;
		caret_pos.text = (caret_pos.text.charAt(caret_pos.text.length-1) == ' ') ? caret_pos.text+text+' ' : caret_pos.text+text;
	}else{
		textarea.value = textarea.value+text;
	}
}

function add_style(element,html){
	var Class = element.getAttribute('class');
	if(Class != null){
		html.className = Class;
	}
	var styles = element.getAttribute('style');
	if(styles == null){
		return;
	}
	if(styles.indexOf(';') == -1){
		styles += ';';
	}
	styles = styles.split(';');
	for(var j = 0; j < styles.length; j++){
		var style = styles[j].split(':');
		if(style[0]){
			style[0] = trim(style[0]);
		}
		if(style[1]){
			style[1] = trim(style[1]);
		}
		switch(style[0]){
			case'font-style':
				html.style.fontStyle = style[1];
			break;
			case'font-weight':
				html.style.fontWeight = style[1];
			break;
			case'font-size':
				html.style.fontSize = style[1];
			break;
			case'font-family':
				html.style.fontFamily = style[1];
			break;
			case'letter-spacing':
				html.style.letterSpacing = style[1];
			break;
			case'line-height':
				html.style.lineHeigt = style[1];
			break;
			case'color':
				html.style.color = style[1];
			break;
			case'overflow':
				html.style.overflow = style[1];
			break;
			case'text-decoration':
				html.style.textDecoration = style[1];
			break;
			case'float':
				html.style.cssFloat = style[1];
			break;
		}
	}
}

function shout_priv(url){
	window.open(url);
	return false;
}

function shout_popup(pop_url,larg,haut,name){
	if(name == ''){
		name = '_popup';
	}
	window.open(pop_url.replace(/&amp;/g,'&'),name,'width='+larg+',height='+haut+',resizable=yes,toolbar=0,menubar=0,scrollbars=yes,statusbar=0,copyhistory=0,top=0,left=0');
	return false;
}

function cookieShout(name,value,days){
	if(days){
		var date = new Date();
		date.setTime(date.getTime()+(days * 24 * 60 * 60 * 1000));
		var expires = '; expires='+date.toGMTString();
	}else{
		expires = '';
	}
	document.cookie = cookie_name+name+'='+encode_utf8(value)+expires+cookie_domain+cookie_path;
}

function getCookie(name){
	var nameEQ = cookie_name+name+'=';
	var ca = document.cookie.split(';');
	for(var i = 0; i < ca.length; i++){
		var c = ca[i];
		while(c.charAt(0) == ' '){
			c = c.substring(1,c.length);
		}
		if(c.indexOf(nameEQ) == 0){
			return decode_utf8(c.substring(nameEQ.length,c.length));
		}
	}
	return false;
}

function eraseCookie(name){
	cookieShout(cookie_name+name,'',-1);
}

function goName(username){
	var spanName = document.getElementById('spanName');
	if(username.length < 3 || username.length > 11){
		spanName.style.color = 'red';
		spanName.style.fontWeight = 'bold';
		return;
	}else{
		spanName.style.color = '';
		spanName.style.fontWeight = 'normal';
		cookieShout('shout-name',username,365);
		sE('shoutnameyes',1);
	}
}

function permutUser(sort){
	if(sort == 'on'){
		form_name = 'formuser';
		text_name = 'shout_user1';
		document.getElementById('chat_message').disabled = 'disabled';
		document.getElementById('chat_message').style.backgroundColor = '#CCCCCC';
		document.getElementById('shout_user1').disabled = false;
	}else{
		form_name = 'postform';
		text_name = 'message';
		document.getElementById('chat_message').disabled = false;
		document.getElementById('chat_message').style.backgroundColor = 'white';
		document.getElementById('shout_user1').disabled = 'disabled';
	}
}

function message(msg,color,no_reload = true,clearOn = false){
	try{
		if(document.getElementById('msg_txt') != null){
			sE('msg_txt',1);
			iH('msg_txt','');
			var tmp = ce('p');
			tmp.style.margin = '0.5em';
			tmp.style.textAlign = 'center';
			if(color){
				tmp.style.color = 'red';
			}else{
				tmp.style.color = 'green';
			}
			tmp.appendChild(tn(msg));
			document.getElementById('msg_txt').appendChild(tmp);
		}else{
			div.innerHTML = '';
			var ul = ce('ul');
			ul.className = 'topiclist forums';
			ul.style.height = '40px';
			var li = ce('li');
			li.style.display = 'block';
			var dl = ce('dl');
			dl.style.width = '100%';
			var dt = ce('dt');
			dt.className = 'row';
			var tmp = ce('p');
			tmp.style.fontSize = '11px';
			tmp.style.textAlign = 'center';
			if(color){
				tmp.style.color = 'red';
			}
			tmp.appendChild(tn(msg));
			dt.appendChild(tmp);
			dl.appendChild(dt);
			li.appendChild(dl);
			ul.appendChild(li);
			div.appendChild(ul);
		}
		if(clearOn != false){
			setTimeout("iH('msg_txt','')",4000);
		}
		if(no_reload == false){
			last = 0;
			one_open = false;
			hin = http();
			clearTimeout(timer_in);
			reload_page();
			reload_post();
		}
	}catch(e){
		handle(e);
		return false;
	}
}

function playSound(sort,force = false){
	if(force == false){
		var nbs = document.getElementById('NbSound').value;
		if(nbs == 0 && sort == 1){
			nbs++;
			document.getElementById('NbSound').value = nbs;
			return;
		}
		nbs++;
		document.getElementById('NbSound').value = nbs;
	}
	if(force == true){
		goSound = true;
	}
	if(isGuest == true){
		if(goSound == false){
			if(onSound.value == 0){
				goSound = true;
			}
		}
	}
	if(goSound == false && force == false){
		return;
	}
	if(goSound == false){
		return;
	}else{
		var player,soundSrc;
		switch(sort){
			case 1: // New message
				player = document.getElementById('lecteurShout1');
			break;
			case 2: // Error
				player = document.getElementById('lecteurShout2');
			break;
			case 3: // Delete
				player = document.getElementById('lecteurShout3');
			break;
			case 4: // Add message
				player = document.getElementById('lecteurShout4');
			break;
			case 5: // Edit message
				player = document.getElementById('lecteurShout5');
			break;
		}
		if (player.paused){
			player.play();
		}else{
			player.pause(); 
		}
	}
}

function encode_utf8(string){
	if(uastring.indexOf('opera') != -1 || uastring.indexOf('chrome') != -1){
		return string;
	}else{
		return unescape(encodeURIComponent(string));
	}
}

function decode_utf8(string){
	if(uastring.indexOf('opera') != -1 || uastring.indexOf('chrome') != -1){
		return string;
	}else{
		return decodeURIComponent(escape(string));
	}
}

function shoutRules(){
	document.getElementById('rules_on').style.textAlign = '';
	iH('rules_on',img_charge);
	run.open('GET',rules_url,true);
	run.onprogress = onProgress;
	run.send(null);
	run.onreadystatechange = handleResponseRules;
}

function handleResponseRules(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			document.getElementById('rules_on').style.textAlign = '';
			response = JSON.parse(response);
			update = response.split('||');
			if(update[0] == '1'){
				iH('rules_on',update[1]);
			}else{
				iH('rules_on','');
				document.getElementById('rules_on').style.display = 'none';
			}
		}
	}
}

function changePerso(idUser){
	sE('user_action',2);
	sE('shout_bbcode',1);
	iH('shoutcheck',img_charge);
	runChange.open('GET',charge_bbcode_url+'?user='+idUser,true);
	runChange.onprogress = onProgress;
	runChange.send(null);
	runChange.onreadystatechange = changeUpdateBbcode;
}

function changeUpdateBbcode(){
	if(runChange.readyState == 4){
		NBQuery.value = 0;
		var response = runChange.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			response = JSON.parse(response);
			update = response.split('||');
			iH('shoutcheck','');
			var onChangeUser = (update[0] != userId) ? Lang['SHOUT_ACTION_CITE_ON']+': '+update[1] : update[1];
			update[2] = (update[2] != 0) ? update[2] : '';
			update[3] = (update[3] != 0) ? update[3] : '';
			document.getElementById('user_inp_bbcode').value = update[0];
			iH('h3userbbcode',onChangeUser);
			document.getElementById('shout_text1').value = update[2];
			document.getElementById('shout_text2').value = update[3];
			iH('shoutexemple',update[4]);
		}
	}
}

function close_perso_bbcode(){
	shout_text = false;
	sE('shout_bbcode',2);
	document.getElementById('button_shout_text').title = Lang['SHOUT_PERSO'];
}

function delete_message(post_id){
	if(hdelete.readyState == 4 || hdelete.readyState == 0){
		hdelete.open('GET',delete_url+'?post='+post_id,true);
		hdelete.onreadystatechange = function(){
			try{
				if(hdelete.readyState != 4){
					return;
				}
				if(hdelete.readyState == 4){
					data = JSON.parse(hdelete.responseText);
					data = data.split('||');
					if(data[0] != 'delete'){
						throw err_msg(Lang['SERVER_ERR'],false,true);
						return;
					}else{
						NBQuery.value = 0;
						playSound(3);
						message(Lang['MSG_DEL_DONE']);
					}
					setTimeout("iH('msg_txt','')",2500);
					last = 0;
					clearTimeout(timer_in);
					reload_post();
					reload_page();
				}
			}
			catch(e){
				handle(e);
				return;
			}
		}
		hdelete.send(null);
	}
}

function purge_shout(purge_url,purgeSort){
	if(hpurge.readyState == 4 || hpurge.readyState == 0){
		hpurge.open('GET',purge_url+'?purge_sort='+purgeSort,true);
		hpurge.onreadystatechange = function(){
			try{
				if(hpurge.readyState != 4){
					return;
				}
				if(hpurge.readyState == 4){
					if(hpurge.responseText.indexOf('||' != -1)){
						NBQuery.value = 0;
						playSound(3);
						message(Lang['PURGE_PROCESS']);
					}else{
						throw err_msg(Lang['SERVER_ERR'],false,true);
						return;
					}
					setTimeout("iH('msg_txt','')",4000);
					last = 0;
					clearTimeout(timer_in);
					reload_post();
					reload_page();
				}
			}
			catch(e){
				handle(e);
				return;
			}
		}
		hpurge.send(null);
	}
}

function handle_edit(dd,inh,i,valeur,shout_id){
	msg3 = ce('span');
	msg3.id = 'text'+i;
	msg3.style.display = 'none';
	dd.appendChild(msg3);
	edit_form = ce('form');
	edit_form.id = 'form'+i;
	edit_form.i = i;
	edit_form.style.display = 'none';
	edit_form.onsubmit = function(){
		return false;
	}
	var spa = ce('span');
	spa.id = 'spa'+i;
	var input = ce('input');
	input.id = 'input'+i;
	input.i = i;
	input.value = input.defaultValue = valeur;
	input.style.cursor = 'text';
	input.style.width = '68%';
	input.style.fontSize = '1.0em';
	input.style.height = '1.6em';
	input.onkeypress = function(evt){
		try{
			evt = (evt) ? evt : event;
			var c = (evt.wich) ? evt.wich : evt.keyCode;
			if(c == 13){
				document.getElementById('submit'+this.i).click();
				evt.returnValue = false;
				this.returnValue = false;
				return false;
			}
			return true;
		}catch(e){
			handle(e);
			return;
		}
	}
	edit_form.appendChild(spa);
	edit_form.appendChild(input);
	var input = ce('input');
	input.type = 'button';
	input.id = 'submit'+i;
	input.className = 'button1 btnmain';
	input.style.margin = '0 5px';
	input.value = Lang['EDIT'];
	input.title = Lang['SHOUT_EDIT'];
	input.i = i;
	input.shout_id = shout_id;
	input.onclick = function(){
		document.getElementById('openEdit').value = 0;
		NBQuery.value = 0;
		i = this.i;
		sE('form'+i,2);
		sE('text'+i,1);
		iH('text'+i,'');
		document.getElementById('text'+i).appendChild(tn(Lang['SENDING_EDIT']));
		var hedit = http();
		if(hedit.readyState == 4 || hedit.readyState == 0){
			hedit.open('POST',edit_url,true);
			hedit.i = i;
			hedit.onreadystatechange = function(){
				try{
					if(hedit.readyState != 4){
						return;
					}
					i = hedit.i;
					one_open = false;
					sE('ddshout'+i,2);
					sE('text'+i,2);
					sE('shout'+i,2);
					sE('edit_button'+i,3);
					if(document.getElementById('info_button'+i)){
						sE('info_button'+i,3);
					}
					if(document.getElementById('delete_button'+i)){
						sE('delete_button'+i,3);
					}
					if(document.getElementById('smilies')){
						sE('smilies',2);
					}
					if(document.getElementById('colour')){
						sE('colour',2);
					}
					if(document.getElementById('shout_chars')){
						sE('shout_chars',2);
					}
					if(document.getElementById('shoutbox_posting')){
						sE('shoutbox_posting',2);
					}
					setTimeout("iH('msg_txt','')",2000);
					last = 0;
					clearTimeout(timer_in);
					reload_post();
					try{
						sE('post_message',1);
					}catch(e){}
					var data = hedit.responseText;
					data = JSON.parse(data);
					data = data.split('||');
					if(data[1] == 0){
						throw err_msg(Lang['SERVER_ERR'],false,true);
						return;
					}else{
						message(Lang['EDIT_DONE']);
						playSound(5);
					}
				}catch(e){
					handle(e);
					return;
				}
			}
			post = 'chat_message=';
			post += encodeURIComponent(document.getElementById('input'+i).value);
			post += '&shout_id='+this.shout_id;
			document.getElementById('input'+i).value = '';
			hedit.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			hedit.send(post);
		}
	}
	edit_form.appendChild(input);
	var input = ce('input');
	input.type = 'button';
	input.className = 'button1 btnmain';
	input.value = input.title = Lang['CANCEL'];
	input.i = i;
	input.onclick = function(){
		one_open = false;
		document.getElementById('openEdit').value = 0;
		try{
			sE('post_message',1);
		}catch(e){}
		i = this.i;
		iH('spa'+i,'');
		sE('form'+i,2);
		sE('shout'+i,3);
		sE('edit_button'+i,3);
		sE('ddshout'+i,3);
		if(document.getElementById('info_button'+i)){
			sE('info_button'+i,3);
		}
		if(document.getElementById('delete_button'+i)){
			sE('delete_button'+i,3);
		}
		if(document.getElementById('smilies')){
			sE('smilies',2);
		}
		if(document.getElementById('colour')){
			sE('colour',2);
		}
		if(document.getElementById('shout_chars')){
			sE('chars_view',2);
		}
		if(document.getElementById('shoutbox_posting')){
			sE('shoutbox_posting',2);
		}
		iH('spa'+i,'');
		clearTimeout(timer_in);
		reload_post();
	}
	edit_form.appendChild(input);
	edit_button.style.display = 'inline';
	edit_button.i = i;
	edit_button.id = 'edit_button'+i;
	delete_button.style.display = 'inline';
	delete_button.i = i;
	delete_button.id = 'delete_button'+i;
	info_button.style.display = 'inline';
	info_button.i = i;
	info_button.id = 'info_button'+i;
	dd.style.display = 'inline';
	dd.i = i;
	dd.id = 'ddshout'+i;
	edit_button.onclick = function(){
		if(one_open){
			playSound(2,true);
			alert(Lang['ONLY_ONE_OPEN']);
			return;
		}
		document.getElementById('openEdit').value = 1;
		one_open = true;
		try{
			sE('post_message',1);
		}catch(e){}
		i = this.i;
		sE('form'+i,1);
		document.getElementById('form'+i).style.paddingLeft = '5px';
		sE('shout'+i,2);
		sE('edit_button'+i,2);
		if(document.getElementById('info_button'+i)){
			sE('info_button'+i,2);
		}
		if(document.getElementById('delete_button'+i)){
			sE('delete_button'+i,2);
		}
		sE('ddshout'+i,2);
		document.getElementById('spa'+i).style.borderLeft = '0px';
		document.getElementById('input'+i).focus();
		iH('spa'+i,Lang['SHOUT_EDIT']+': ');
	}
	return dd;
}

function cp(){
	var sep = ce('span');
	sep.className = 'page-sep';
	sep.appendChild(tn(Lang['COMMA_SEPARATOR']));
	return sep;
}

function trim(value){
	value = value.replace(/^\s+/,'').replace(/\s+$/,'');
	return value;
}

function ce(e){
	return document.createElement(e);
}

function tn(e){
	return document.createTextNode(e);
}

function supp_text(sort){
	if(document.getElementById(sort).value == Lang['SHOUT_AUTO']){
		document.getElementById(sort).value = '';
		document.getElementById(sort).style.color = 'black';
	}
}

function add_text(sort){
	if(document.getElementById(sort).value == ''){
		document.getElementById(sort).value = Lang['SHOUT_AUTO'];
		document.getElementById(sort).style.color = '#9A9A9A';
	}
}

function goImg(on){
	iH('msg','<div style="text-align:center;margin:50px auto;">'+img_charge+' '+on+'</div>');
}

function closeAction(){
	permutUser('off');
	iH('h3user','');
	iH('shout_url','');
	sE('user_action',2);
	return false;
}

function sE(n,s){
	var e = document.getElementById(n);
	switch(s){
		case 1:
			var st = 'block';
		break;
		case 2:
			var st = 'none';
		break;
		case 3:
			var st = 'inline';
		break;
		case 4:
			var st = 'inline-block';
		break;
		default:
			st = 'none';
		break;
	}
	e.style.display = st;
}

function iH(n,s){
	var e = document.getElementById(n);
	e.innerHTML = s;
}

function setError(nb,reloadOn = false){
	nb = (nb == 0) ? 0 : nb++;
	document.getElementById('NBerror').value = nb;
	if(reloadOn != false){
		clearTimeout(timer_in);
		reload_page();
		reload_post();
	}
}

function shoutReq(value1,value2,value3){
	if(document.getElementById('shout_text1').value == '' && document.getElementById('shout_text2').value == ''){
		value1 = value2 = 1;
	}
	run.open('POST',ubbcode_url,true);
	run.onprogress = onProgress;
	run.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	run.send('open='+value1+'&close='+value2+'&ot='+value3);
	iH('shoutcheck',img_charge);
	run.onreadystatechange = handlePersonalise;
}

function handlePersonalise(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			NBQuery.value = 0;
			response = JSON.parse(response);
			update = response.split('||');
			if(update[0] == 1 && update[1] == 1){
				iH('shout_text1','');
				iH('shout_text2','');
				iH('shoutexemple',Lang['SHOUT_EXEMPLE']);
				iH('shoutcheck','<span style="color:green">'+Lang['SHOUT_BBCODE_SUP']+'</span>');
			}else if(update[0] == 2 && update[1] == 2){
				iH('shoutcheck','<span style="color:red">'+update[2]+'</span>');
			}else if(update[0] == 3){
				iH('shout_text1',update[1]);
				iH('shout_text2',update[2]);
				iH('shoutexemple',update[3]);
				iH('shoutcheck','<span style="color:green">'+Lang['SHOUT_BBCODE_SUCCESS']+'</span>');
			}else if(update[0] == 4 && update[1] == 4){
				iH('shoutcheck','<span style="color:blue">'+update[2]+'</span>');
				iH('shoutexemple',update[4]);
			}else if(update[0] == 5){
				iH('shoutcheck','<span style="color:red">'+update[2]+'</span>');
			}
		}
	}else{
		return;
	}
}

function shoutOnline(){
	document.getElementById('online_shout').style.textAlign = 'center';
	iH('online_shout',img_charge);
	run.open('GET',online_url,true);
	run.onprogress = onProgress;
	run.send();
	run.onreadystatechange = handleResponseOnline;
}

function handleResponseOnline(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			NBQuery.value = 0;
			document.getElementById('online_shout').style.textAlign = 'left';
			iH('online_shout','');
			iH('online_shout','<div id="online_shout1"></div><hr /><div id="online_shout2"></div>');
			response = JSON.parse(response);
			update = response.split('||');
			iH('online_shout1',update[0]);
			iH('online_shout2',update[1]);
		}
	}else{
		return;
	}
}

function actionUser(id){
	if(id == false){
		return;
	}else{
		sE('user_shout',1);
		sE('user_action',1);
		sE('shout_url',1);
		sE('msg_user_shout',2);
		actionReq(id);
	}
}

function actionReq(id){
	iH('shout_url',img_charge);
	run.open('GET',action_url+'?user='+id,true);
	run.send();
	run.onreadystatechange = handleResponseAction;
}

function handleResponseAction(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			response = JSON.parse(response);
			update = response.split('||');
			if(update[0] == 0 && update[1] == 0){
				closeAction();
			}else if(update[0] == 1){
				iH('h3user',update[1]);
				iH('shout_url','');
			}else{
				document.getElementById('user_inp').value = update[0];
				iH('h3user',update[1]);
				iH('shout_url',update[2]);
				iH('shout_avatar',update[3]);
			}
		}
	}else{
		return;
	}
}

function postReq(post,id,priv){
	permutUser('off');
	sE('msg_user_shout',2);
	sE('shout_url',1);
	iH('shout_url',img_charge);
	actionPostReq(post,id,priv);
}

function actionPostReq(post,id,priv){
	sE('msg_user_shout',2);
	iH('shout_url',img_charge);
	run.open('POST',actionPost_url,true);
	run.onprogress = onProgress;
	document.getElementById('shout_user1').value = Lang['SHOUT_AUTO'];
	sE('user_action',2);
	run.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	run.send('user='+id+'&pr='+priv+'&message='+encodeURIComponent(post));
	run.onreadystatechange = handleResponsePm;
}

function handleResponsePm(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			NBQuery.value = 0;
			closeAction();
			shout_insert_text(' ',true,false);
		}else{
			return;
		}
	}else{
		return;
	}
}

function delReqTo(id,priv){
	iH('shout_url',img_charge);
	run.open('GET',actionDelTo_url+'?user='+id+'&pr='+priv,true);
	run.onprogress = onProgress;
	run.send(null);
	run.onreadystatechange = handleResponseDel;
}

function delReq(id,priv){
	iH('shout_url',img_charge);
	run.open('GET',actionDel_url+'?user='+id+'&pr='+priv,true);
	run.onprogress = onProgress;
	run.send(null);
	run.onreadystatechange = handleResponseDel;
}

function handleResponseDel(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			NBQuery.value = 0;
			response = JSON.parse(response);
			update = response.split('||');
			iH('shout_url',update[1]);
		}
	}else{
		return;
	}
}

function citeMsg(){
	user = document.getElementById('user_inp').value;
	run.open('GET',cite_url+'?user='+user,true);
	run.send(null);
	run.onreadystatechange = handleResponseCite;
}

function handleResponseCite(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			response = JSON.parse(response);
			update = response.split('||');
			if(update[0] == '0'){
				throw err_msg(update[1]);
			}
			else if(update[0] == '1'){
				supp_text('chat_message');
				closeAction();
				iH('user_cite',update[1]);
				shout_insert_text(' ',true,false);
			}
		}else{
			return;
		}
	}else{
		return;
	}
}

function personalMsg(){
	var inputOn = document.getElementById('shout_user1');
	permutUser('on');
	sE('msg_user_shout',1);
	iH('shout_url','');
	iH('shoutMsg','&nbsp;&nbsp;'+Lang['SHOUT_ACTION_MSG']+':');
	inputOn.value = Lang['SHOUT_AUTO'];
	inputOn.style.color = '#9A9A9A';
	inputOn.focus();
}

function robotMsg(sortRobot){
	var inputOn = document.getElementById('shout_user1');
	permutUser('on');
	sE('msg_user_shout',1);
	sE('user_shout',2);
	iH('shoutMsg','&nbsp;&nbsp;'+Lang['SHOUT_ACTION_MSG_ROBOT']+':');
	iH('h3user','');
	document.getElementById('user_inp').value = 1;
	document.getElementById('user_inp_sort').value = sortRobot;
	inputOn.value = Lang['SHOUT_AUTO'];
	inputOn.style.color = '#9A9A9A';
	inputOn.focus();
}

function soundReq(guest){
	playSound(1,true);
	if(onSound.value == 1){
		sort = 0;
		onSound.value = 0;
	}else{
		sort = 1;
		onSound.value = 1;
	}
	if(guest == true){
		if(getCookie('shout') == 'on'){
			var change = 1,changec = 'off',soundClass = 'button_shout_sound_off',title = Lang['SHOUT_CLICK_SOUND_ON'];
		}else{
			var change = 0,changec = 'on',soundClass = 'button_shout_sound',title = Lang['SHOUT_CLICK_SOUND_OFF'];
		}
		cookieShout('shout',changec,365);
		onSound.value = change;
		document.getElementById('iconSound').className = soundClass+' button_shout';
		document.getElementById('iconSound').title = title;
	}else{
		run.open('GET',actionSound_url+'&sound='+sort,true);
		run.send(null);
		run.onreadystatechange = handleResponseSound;
	}
}

function handleResponseSound(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			response = JSON.parse(response);
			update = response.split('||');
			onSound.value = update[0];
			document.getElementById('iconSound').className = update[1];
			document.getElementById('iconSound').title = update[2];
		}
	}else{
		return;
	}
}

function reload_page(){
	if(Nbr.readyState == 4 || Nbr.readyState == 0){
		if(document.getElementById('NBerror').value > 6 || document.getElementById('openEdit').value == 1){
			return;
		}
		Nbr.open('GET',number_url,true);
		Nbr.onreadystatechange = function(){
			try{
				if(Nbr.readyState != 4){
					return;
				}
				if(Nbr.readyState == 4){
					document.getElementById('NbSound').value = 0;
					var response = Nbr.responseText,update = new Array();
					if(!Nbr.responseText || !response.indexOf('|' == -1)){
						if(document.getElementById('NBerror').value <= 6){
							last = 0;
							clearTimeout(timer_in);
							setError(document.getElementById('NBerror').value);
						}else{
							throw err_msg(Lang['SERVER_ERR'],false,true);
							setError(0);
							return;
						}
						reload_page();
					}else{
						setError(0);
					}
					var update = JSON.parse(response);
					update = update.split('|');
					var nr = Number(update[0]);
					var f = document.getElementById('nr');
					var d = ce('div');
					iH('nr','');
					if(nr < per_page){
						f.style.display = 'none';
						if(document.getElementById('divnr') != null){
							document.getElementById('divnr').style.display = 'none';
						}
					}else{
						f.style.display = 'block';
						if(document.getElementById('divnr') != null){
							document.getElementById('divnr').style.display = 'block';
						}
					}
					var total_pages = Math.ceil(nr/per_page);
					total_pages = Number(total_pages);
					if(total_pages == 1 || nr == 0){
						return;
					}
					on_page = Number(Math.floor(count/per_page)+1);
					var p = ce('span');
					var a = ce('span');
					var b = ce('strong');
					p.style.display = 'inline';
					p.style.verticalAlign = 'middle';
					p.style.paddingLeft = '8px';
					if(on_page == 1){
						b.appendChild(tn('1'));
						b.title = Lang['SHOUT_PAGE']+'1';
						b.style.cursor = 'help';
						b.style.color = 'red';
						p.appendChild(b);
						b = ce('strong');
					}else{
						a.c = ((on_page -2) * per_page);
						a.style.cursor = 'pointer';
						a.title = Lang['PREVIOUS'];
						a.onclick = function(){
							NBQuery.value = 0;
							msg_txt
							goImg(Lang['PREVIOUS']);
							count = this.c;
							last = 0;
							clearTimeout(timer_in);
							reload_post();
							reload_page();
							return false;
						}
						a.appendChild(tn(Lang['PREVIOUS']));
						p.appendChild(a);
						p.appendChild(tn(' '));
						a = ce('span');
						a.c = 0;
						a.style.cursor = 'pointer';
						a.title = Lang['SHOUT_PAGE']+'1';
						a.onclick = function(){
							NBQuery.value = 0;
							goImg(Lang['SHOUT_PAGE']+'1');
							count = this.c;
							last = 0;
							clearTimeout(timer_in);
							reload_post();
							reload_page();
							return false;
						}
						a.appendChild(tn('1'));
						p.appendChild(a);
						a = ce('span');
					}
					if(total_pages > 5){
						var start_cnt = Math.min(Math.max(1, on_page - 4),total_pages - 5);
						var end_cnt = Math.max(Math.min(total_pages,on_page + 4),6);
						p.appendChild((start_cnt > 1) ? tn(' ... ') : cp());
						for(var i = start_cnt + 1; i < end_cnt; i++){
							if(i == on_page){
								b.appendChild(tn(i));
								b.title = Lang['SHOUT_PAGE']+on_page;
								b.style.color = 'red';
								p.appendChild(b);
								b = ce('strong');
							}else{
								var this_i = Lang['SHOUT_PAGE']+i;
								a.c = (i-1) * per_page;
								a.style.cursor = 'pointer';
								a.title = this_i;
								a.onclick = function(){
									NBQuery.value = 0;
									goImg(this_i);
									count = this.c;
									last = 0;
									clearTimeout(timer_in);
									reload_post();
									reload_page();
									return false;
								}
								a.appendChild(tn(i));
								p.appendChild(a);
								a = ce('span');
							}
							if(i < end_cnt -1){
								p.appendChild(cp());
							}
						}
						p.appendChild((end_cnt < total_pages) ? tn(' ... ') : cp());
					}else{
						p.appendChild(cp());
						for(var i = 2; i < total_pages; i++){
							if(i == on_page){
								b.appendChild(tn(i));
								b.title = Lang['SHOUT_PAGE']+on_page;
								b.style.color = 'red';
								p.appendChild(b);
								b = ce('strong');
							}else{
								var this_i = Lang['SHOUT_PAGE']+i;
								a.c = (i-1)*per_page;
								a.style.cursor = 'pointer';
								a.title = this_i;
								a.onclick = function(){
									NBQuery.value = 0;
									goImg(this_i);
									count = this.c;
									last = 0;
									clearTimeout(timer_in);
									reload_post();
									reload_page();
									return false;
								}
								a.appendChild(tn(i));
								p.appendChild(a);
								a = ce('span');
							}
							if(i < total_pages){
								p.appendChild(cp());
							}
						}
					}
					if(on_page == total_pages){
						b.appendChild(tn(total_pages));
						b.title = Lang['SHOUT_PAGE']+on_page;
						b.style.color = 'red';
						p.appendChild(b);
						b = ce('strong');
					}else{
						a = ce('span');
						a.c = ((total_pages-1)*per_page);
						a.style.cursor = 'pointer';
						a.title = Lang['SHOUT_PAGE']+total_pages;
						a.onclick = function(){
							NBQuery.value = 0;
							goImg(Lang['SHOUT_PAGE']+total_pages);
							count = this.c;
							last = 0;
							clearTimeout(timer_in);
							reload_post();
							reload_page();
							return false;
						}
						a.appendChild(tn(total_pages));
						p.appendChild(a);
						a = ce('span');
						a.c = ((on_page)*per_page);
						a.style.cursor = 'pointer';
						a.title = Lang['NEXT'];
						a.onclick = function(){
							if(document.getElementById('msg_txt').style.display == 'block'){
								sE('msg_txt',2);
								iH('msg_txt','');
							}
							NBQuery.value = 0;
							goImg(Lang['NEXT']);
							count = this.c;
							last = 0;
							clearTimeout(timer_in);
							reload_post();
							reload_page();
							return false;
						}
						a.appendChild(tn(Lang['NEXT']));
						p.appendChild(tn(' '));
						p.appendChild(a);
					}
					f.appendChild(p);
				}
			}catch(e){
				handle(e);
				return;
			}
		}
		Nbr.send(null);
	}
}

function removeMsg(id,priv){
	iH('shout_url',img_charge);
	run.open('GET',actionRemove_url+'?user='+id+'&pr='+priv,true);
	run.onprogress = onProgress;
	run.send(null);
	run.onreadystatechange = handleResponseDel;
}

function handleResponseDel(){
	if(run.readyState == 4){
		var response = run.responseText,update = new Array();
		if(response.indexOf('||' != -1)){
			NBQuery.value = 0;
			response = JSON.parse(response);
			update = response.split('||');
			iH('shout_url',update[1]);
		}
	}
}

function onTime(onNb){
	var time = onNb * (temps / 1000);
	var hours = Math.floor(time / 3600);
	var minutes = Math.floor((time / 60) - (hours * 60));
	var seconds = time - (minutes * 60) - (hours * 3600);
	return ((hours != 0) ? hours+'h ' : '')+minutes+'mn '+seconds+'s';
}

function reload_post(){
	if(document.getElementById('NBerror').value > 6 || document.getElementById('openEdit').value == 1){
		return;
	}
	if(inactivity != 0 && is_priv == false){
		if(NBQuery.value > inactivity){
			clearTimeout(timer_in);
			message(Lang['SHOUT_OUT_TIME'],true);
			return;
		}
	}
	if(Check.readyState == 4 || Check.readyState == 0){
		Check.open('POST',check_url,true);
		Check.onreadystatechange = function(){
			try{
				if(Check.readyState != 4){
					return;
				}
				if(Check.readyState == 4){
					querynb++;
					NBQuery.value = querynb;
					NBTemps.value = onTime(querynb);
					var response = Check.responseText,update = new Array();
					if(!Check.responseText){
						if(document.getElementById('NBerror').value <= 6){
							last = 0;
							nbe++;
							setError(nbe);
							clearTimeout(timer_in);
							return;
						}else{
							setError(0);
							throw err_msg(Lang['XML_ER'],false,true);
							return;
						}
					}
					var update = JSON.parse(response);
					update = update.split('|');
					if(update[1] == 0){
						if(start == true){
							if(post_ok == true && first){
								sE('post_message',3);
							first = false;
							}
							var posts = document.getElementById('msg');
							iH('msg','');
							posts.appendChild(tn(Lang['NO_MESSAGE']));
						}
					}else{
						if(hin.readyState == 4 || hin.readyState == 0){
							last = update[0];
							hin.open('GET',view_url+'?start='+count,true);
							hin.onreadystatechange = function(){
								try{
									if(hin.readyState != 4){
										return;
									}
									if(hin.readyState == 4){
										if(!hin.responseText){
											if(document.getElementById('NBerror').value <= 6){
												last = 0;
												clearTimeout(timer_in);
												setError(document.getElementById('NBerror').value,true);
												return;
											}else{
												setError(0);
												throw err_msg(Lang['SERVER_ERR'],false,true);
												return;
											}
										}
										var datas = hin.responseText;
										if(datas.indexOf('[phpBB Debug]') != -1){
											msg = (datas.indexOf('|+|') != -1) ? datas.split('|+|') : datas.split('<br />');
											throw err_msg(msg[0],false,true);
											return;
										}
										if(datas.indexOf('</table></font>') != -1){
											msg = datas.split('</th></tr>');
											throw err_msg(msg[1]+msg[2],false,true);
											return;
										}
										var datas = JSON.parse(hin.responseText);
										if(datas.indexOf('{errors}') != -1){
											datas = datas.split('{posts}');
											var msg = datas[1]+' - '+datas[2];
											throw err_msg(msg,false,true);
											return;
										}else{
											start = false;
											var tmp = datas.split('{posts}').length-1;
											if(tmp.length == 0){
												if(post_ok == true){
													if(first){
														sE('post_message',3);
														first = false;
													}
												}
												var posts = document.getElementById('msg');
												iH('msg','');
												posts.appendChild(tn(Lang['NO_MESSAGE']));
												clearTimeout(timer_in);
												return;
											}
											var posts = document.getElementById('msg');
											iH('msg','');
											if(last != 0){
												playSound(1);
											}
											var row = false;
											data = datas.split('{posts}');
											if(shout_defil == 1){
												for(var i = 0; i < tmp; i++){
													var post = data[i].split('|+|');
													var shout_id = post[1];
													var shout_time = post[2];
													var shout_ip = post[3];
													var shout_text = post[4];
													var username = post[5];
													var avatar = post[6];
													var show_ip = post[7];
													var deletemsg = post[8];
													var edit = post[9];
													var msg_plain = post[10];
													var is_ip = post[11];
													var li = ce('li');
													li.className=(!row) ? 'row row1 bg1' : 'row row2 bg2';
													row = !row;
													var dl = ce('dl');
													var dd = ce('dt');
													var dt = ce('dd');
													var inh = tmp[i];
													dd.className = 'button_background'+endClassBg;
													dd.style.styleFloat = dd.style.cssFloat = lang_direction;
													dd.style.marginLeft = '0';
													dd.style.padding = '3px';
													dd.style.width = 'auto';
													dd.style.textAlign = lang_direction;
													dd.id = 'dtshout'+i;
													dt.style.width = 'auto';
													dt.id = 'ddshout'+i;
													dt.style.display = 'inline';
													dt.style.padding = '3px';
													var s = ce('span');
													if(avatar.length > 1){
														dt.innerHTML = shout_time+Lang['SHOUT_SEP']+avatar+Lang['SHOUT_SEP']+username+':';
													}else{
														dt.innerHTML = shout_time+Lang['SHOUT_SEP']+username+':';
													}
													if(deletemsg == 1){
														var ok_delete = true;
													}else{
														var ok_delete = false;
													}
													if(edit == 1){
														var ok_edit = true;
													}else{
														var ok_edit = false;
													}
													if(show_ip == 1){
														var ok_info = true;
													}else{
														var ok_info = false;
													}
													delete_button = ce('input');
													delete_button.post_id = shout_id;
													delete_button.type = 'button';
													if(ok_delete == true){
														delete_button.className = 'button_shout_del button_shout_l';
														delete_button.style.display = 'inline';
														delete_button.title = Lang['SHOUT_DEL'];
														delete_button.onclick = function(){
															this.style.display = 'none';
															if(confirm(Lang['DEL_SHOUT'])){
																delete_message(this.post_id);
															}else{
																this.style.display = 'inline';
															}
														}
														dd.appendChild(delete_button);
													}else{
														if(see_buttonsleft == true){
															delete_button.className = 'button_shout_del_no button_shout_l';
															delete_button.style.display = 'inline';
															delete_button.title = Lang['NO_SHOUT_DEL'];
															delete_button.onclick = function(){
																alert(Lang['NO_SHOUT_DEL']);
															}
															dd.appendChild(delete_button);
														}else{
															delete_button.style.display = 'none';
														}
													}
													edit_button = ce('input');
													edit_button.post_id = shout_id;
													edit_button.type = 'button';
													if(ok_edit == true){
														edit_button.style.display = 'inline';
														edit_button.className = 'button_shout_edit button_shout_l';
														edit_button.title = Lang['SHOUT_EDIT'];
														dd.appendChild(edit_button);
													}else{
														if(see_buttonsleft == true){
															edit_button.style.display = 'inline';
															edit_button.className = 'button_shout_edit_no button_shout_l';
															edit_button.title = Lang['NO_SHOUT_EDIT'];
															edit_button.onclick = function(){
																alert(Lang['NO_SHOUT_EDIT']);
															}
															dd.appendChild(edit_button);
														}else{
															edit_button.style.display = 'none';
														}
													}
													info_button = ce('input');
													info_button.post_id = shout_id;
													info_button.type = 'button';
													if(ok_info == true){
														var textalerte = Lang['SHOUT_POST_IP'];
														info_button.style.display = 'inline';
														info_button.className = 'button_shout_ip button_shout_l';
														info_button.title = Lang['SHOUT_IP'];
														info_button.ip = shout_ip;
														info_button.onclick = function(){
															alert(textalerte+'  '+this.ip);
														}
														dd.appendChild(info_button);
													}else{
														if(see_buttonsleft == true){
															var noiptextalerte = Lang['NO_SHOW_IP_PERM'];
															info_button.style.display = 'inline';
															info_button.className = 'button_shout_ip_no button_shout_l';
															info_button.title = noiptextalerte;
															info_button.is_ip = is_ip;
															info_button.onclick = function(){
																alert(noiptextalerte+'\n IP: '+this.is_ip);
															}
															dd.appendChild(info_button);
														}else{
															info_button.style.display = 'none';
														}
													}
													if(ok_info == false && ok_edit == false && ok_delete == false && see_buttonsleft == false){
														var dg = ce('dt');
														dg.style.styleFloat = dg.style.cssFloat = lang_direction;
														dg.style.paddingLeft = '0px';
														dg.style.paddingRight = '0px';
														dg.style.display = 'inline';
														dg.appendChild(tn(''));
														dl.appendChild(dg);
													}else{
														dl.appendChild(dd);
													}
													dd = ce('dd');
													dl.appendChild(dt);
													var msg2 = ce('span');
													msg2.style.wordWrap = 'break-word';
													msg2.style.display = 'inline';
													msg2.style.padding = '0';
													msg2.id = 'shout'+i;
													msg2.i = i;
													msg2.innerHTML = shout_text;
													edit_form = ce('span');
													dd.appendChild(msg2);
													if(ok_edit == true){
														dd = handle_edit(dd,inh,i,msg_plain,shout_id);
														dd.appendChild(edit_form);
													}
													dd.id = 'msgbody'+i;
													dd.style.width = 'auto';
													dd.style.textAlign = lang_direction;
													dd.style.borderLeft = dd.style.borderRight = 'none';
													dd.style.padding = '0';
													dl.appendChild(dd);
													li.appendChild(dl);
													posts.appendChild(li);
												}
											}else{
												for(var i = (tmp -1); i >= 0; i--){
													var post = data[i].split('|+|');
													var shout_id = post[1];
													var shout_time = post[2];
													var shout_ip = post[3];
													var shout_text = post[4];
													var username = post[5];
													var avatar = post[6];
													var show_ip = post[7];
													var deletemsg = post[8];
													var edit = post[9];
													var msg_plain = post[10];
													var is_ip = post[11];
													var li = ce('li');
													li.className = (!row) ? 'row row1 bg1' : 'row row2 bg2';
													row = !row;
													var dl = ce('dl');
													var dd = ce('dt');
													var dt = ce('dd');
													var inh = tmp[i];
													dd.className = 'button_background'+endClassBg;
													dd.style.styleFloat = dd.style.cssFloat = lang_direction;
													dd.style.marginLeft = '0';
													dd.style.paddingLeft = '2px';
													dd.style.width = 'auto';
													dd.style.textAlign = lang_direction;
													dt.style.width = 'auto';
													dt.id = 'ddshout'+i;
													dt.style.display = 'inline';
													dt.style.padding = '3px';
													var s = ce('span');
													var msg = shout_text;
													if(avatar.length > 1){
														dt.innerHTML = shout_time+Lang['SHOUT_SEP']+avatar+Lang['SHOUT_SEP']+username+':';
													}else{
														dt.innerHTML = shout_time+Lang['SHOUT_SEP']+username+':';
													}
													var ok_delete = ok_edit =  ok_info = false;
													if(deletemsg == 1){
														ok_delete = true;
													}
													if(edit == 1){
														ok_edit = true;
													}
													if(show_ip == 1){
														ok_info = true;
													}
													delete_button = ce('input');
													delete_button.post_id = shout_id;
													delete_button.type = 'button';
													if(ok_delete == true){
														delete_button.className = 'button_shout_del button_shout_l';
														delete_button.style.display = 'inline';
														delete_button.title = Lang['SHOUT_DEL'];
														delete_button.onclick = function(){
															this.style.display = 'none';
															if(confirm(Lang['DEL_SHOUT'])){
																delete_message(this.post_id);
															}else{
																this.style.display = 'inline';
															}
														}
														dd.appendChild(delete_button);
													}else{
														if(see_buttonsleft == true){
															delete_button.className = 'button_shout_del_no button_shout_l';
															delete_button.style.display = 'inline';
															delete_button.title = Lang['NO_SHOUT_DEL'];
															delete_button.onclick = function(){
																alert(Lang['NO_SHOUT_DEL']);
															}
															dd.appendChild(delete_button);
														}else{
															delete_button.style.display = 'none';
														}
													}
													edit_button = ce('input');
													edit_button.post_id = shout_id;
													edit_button.type = 'button';
													if(ok_edit == true){
														edit_button.style.display = 'inline';
														edit_button.className = 'button_shout_edit button_shout_l';
														edit_button.title = Lang['SHOUT_EDIT'];
														dd.appendChild(edit_button);
													}else{
														if(see_buttonsleft == true){
															edit_button.style.display = 'inline';
															edit_button.className = 'button_shout_edit_no button_shout_l';
															edit_button.title = Lang['NO_SHOUT_EDIT'];
															edit_button.onclick = function(){
																alert(Lang['NO_SHOUT_EDIT']);
															}
															dd.appendChild(edit_button);
														}else{
															edit_button.style.display = 'none';
														}
													}
													info_button = ce('input');
													info_button.post_id = shout_id;
													info_button.type = 'button';
													if(ok_info == true){
														info_button.style.display = 'inline';
														info_button.className = 'button_shout_ip button_shout_l';
														info_button.title = Lang['SHOUT_IP'];
														info_button.ip = shout_ip;
														info_button.onclick = function(){
															alert(Lang['SHOUT_POST_IP']+'  '+this.ip);
														}
														dd.appendChild(info_button);
													}else{
														if(see_buttonsleft == true){
															var noiptextalerte = Lang['NO_SHOW_IP_PERM'];
															info_button.style.display = 'inline';
															info_button.className = 'button_shout_ip_no button_shout_l';
															info_button.title = noiptextalerte;
															info_button.is_ip = is_ip;
															info_button.onclick = function(){
																alert(noiptextalerte+'\n IP: '+this.is_ip);
															}
															dd.appendChild(info_button);
														}else{
															info_button.style.display = 'none';
														}
													}
													if(ok_info == false && ok_edit == false && ok_delete == false && see_buttonsleft == false){
														var dg = ce('dt');
														dg.style.styleFloat = dg.style.cssFloat = lang_direction;
														dg.style.paddingLeft = '0px';
														dg.style.paddingRight = '0px';
														dg.style.display = 'inline';
														dg.appendChild(tn(''));
														dl.appendChild(dg);
													}else{
														dl.appendChild(dd);
													}
													dd = ce('dd');
													dl.appendChild(dt);
													var msg2 = ce('span');
													msg2.style.wordWrap = 'break-word';
													msg2.style.display = 'inline';
													msg2.style.padding = '3px 0';
													msg2.id = 'shout'+i;
													msg2.i = i;
													msg2.innerHTML = shout_text;
													edit_form = ce('span');
													var spa = ce('span');
													spa.id = 'spa'+i;
													dd.appendChild(msg2);
													if(ok_edit == true){
														dd = handle_edit(dd,inh,i);
														edit_form.appendChild(spa);
														dd.appendChild(edit_form);
													}
													dd.id = 'msgbody'+i;
													dd.style.width = 'auto';
													dd.style.borderLeft = 'none';
													dd.style.padding = '0';
													dl.appendChild(dd);
													li.appendChild(dl);
													posts.appendChild(li);
												}
												document.getElementById('msg').scrollTop = document.getElementById('msg').scrollHeight;
											}
											if(post_ok == true){
												if(first){
													sE('post_message',3);
													first = false;
												}
											}
										}
									}
								}catch(e){
									handle(e);
									return;
								}
							}
							hin.send(null);
						}
					}
					timer_in = setTimeout('reload_post();',temps);
				}
			}catch(e){
				handle(e);
				return;
			}
		}
		Check.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		Check.send('l='+last);
	}
}

function write_main(){
	try{
		var base = ce('ul');
		base.className = 'topiclist forums';
		base.id = 'base_ul';
		base.style.height = '97%';
		var li = ce('li');
		li.style.display = 'block';
		var dl = ce('dl');
		dl.style.width = '100%';
		var posting_form = ce('dt');
		posting_form.id = 'post_message';
		li.className = 'button_background '+button_bg;
		posting_form.style.display = 'inline-block';
		posting_form.style.padding = '3px 0 3px 1px';
		posting_form.style.verticalAlign = 'middle';
		posting_form.height = '22px';
		postingWidth = '100%';
		if(post_ok == false && sort_pagin == false){
			posting_form.style.cssFloat = posting_form.style.styleFloat = 'none';
		}else{
			posting_form.style.cssFloat = posting_form.style.styleFloat = lang_direction;
		}
		if(bar_haute == false && sort_pagin == false && post_ok == true){
			posting_form.style.width = postingWidth;
		}else if(post_ok == false && sort_pagin == false){
			posting_form.style.width = postingWidth;
		}else{
			posting_form.style.width = postingWidth;
		}
		if(post_ok == false && sort_pagin == true){
			posting_form.style.paddingLeft = '60px';
		}

		var posting_box = ce('div');
		posting_box.style.height = 'auto';
		if(sort_pagin == true){
			posting_box.style.cssFloat = posting_box.style.styleFloat = lang_direction;
			posting_form.style.marginTop = '1px';
			posting_form.style.width = 'auto';
		}
		
		var lecteur1 = ce('audio');
		lecteur1.id = 'lecteurShout1';
		lecteur1.src = extension_url+'images/sounds/'+sound;
		lecteur1.volume = volumeSounds;
		lecteur1.preload = 'metadata';
		lecteur1.type = 'audio/mpeg';
		var lecteur2 = ce('audio');
		lecteur2.id = 'lecteurShout2';
		lecteur2.src = extension_url+'images/sounds/'+error_sound;
		lecteur2.volume = volumeSounds;
		lecteur2.preload = 'metadata';
		lecteur2.type = 'audio/mpeg';
		var lecteur3 = ce('audio');
		lecteur3.id = 'lecteurShout3';
		lecteur3.src = extension_url+'images/sounds/'+del_sound;
		lecteur3.volume = volumeSounds;
		lecteur3.preload = 'metadata';
		lecteur3.type = 'audio/mpeg';
		var lecteur4 = ce('audio');
		lecteur4.id = 'lecteurShout4';
		lecteur4.src = extension_url+'images/sounds/'+add_sound;
		lecteur4.volume = volumeSounds;
		lecteur4.preload = 'metadata';
		lecteur4.type = 'audio/mpeg';
		var lecteur5 = ce('audio');
		lecteur5.id = 'lecteurShout5';
		lecteur5.src = extension_url+'images/sounds/'+edit_sound;
		lecteur5.volume = volumeSounds;
		lecteur5.preload = 'metadata';
		lecteur5.type = 'audio/mpeg';
		
		if(post_ok == false){
			if(isGuest == true){
				var print_perm = ce('a');
				print_perm.style.cursor = 'pointer';
				print_perm.style.textAlign = 'center';
				print_perm.title = Lang['SHOUT_CLICK_HERE'];
				print_perm.onclick = function(){
					if(document.getElementById('shout_connect').style.display == 'none'){
						sE('shout_connect',1);
						print_perm.title = Lang['SHOUT_DIV_CLOSE'];
					}else{
						sE('shout_connect',2);
						print_perm.title = Lang['SHOUT_CLICK_HERE'];
					}
					return false;
				}
				print_perm.appendChild(tn(Lang['NO_POST_PERM_GUEST']));
				posting_form.style.cssFloat = posting_form.styleFloat = 'left';
			}else{
				var print_perm = ce('a');
				print_perm.appendChild(tn(Lang['NO_POST_PERM']));
			}
			li.style.textAlign = 'center';
			li.style.padding = '3px';
			li.style.borderBottom = '1px solid #00608F';
			if(sort_pagin == true){
				var pagin = ce('dd');
				pagin.id = 'nr';
				pagin.className = 'pagination gensmall';
				pagin.style.marginTop = '0px';
				pagin.style.paddingTop = '1px';
				pagin.style.paddingBottom = '1px';
				pagin.style.height = 'auto';
				pagin.style.width = 'auto';
				pagin.style.cssFloat = pagin.style.styleFloat = 'right';
				pagin.style.borderLeft = '0';
				dl.appendChild(pagin);
			}
			posting_form.appendChild(posting_box);
			dl.appendChild(posting_form);
			li.appendChild(dl);
			base.appendChild(li);
			posting_box.appendChild(print_perm);
			var button_sound = ce('input');
			button_sound.type = 'button';
			button_sound.id = 'iconSound';
			button_sound.className = soundClass+' button_shout';
			button_sound.style.height = '18px';
			button_sound.style.margin = '0 0 0 8px';
			button_sound.style.verticalAlign = 'bottom';
			button_sound.title = Lang['SHOUT_TITLESOUND'];
			button_sound.onclick = function(){
				if(isGuest == true){
					var goguest = 1;
				}else{
					var goguest = 0;
				}
				soundReq(goguest);
			}
			posting_box.appendChild(button_sound);
			posting_box.appendChild(tn(' '));
			posting_box.appendChild(lecteur1);
			posting_box.appendChild(lecteur2);
			posting_box.appendChild(lecteur3);
			posting_box.appendChild(lecteur4);
			posting_box.appendChild(lecteur5);
			posting_box.appendChild(tn(' '));
		}else{
			if(bar_haute == false){
				li.style.borderTop = '1px solid #00608F';
			}else{
				li.style.borderBottom = '1px solid #00608F';
			}
			posting_box.appendChild(tn(' '));
			i_shout = null;
			var i_shout = ce('input');
			i_shout.className = 'inputbox';
			i_shout.name = 'message';
			i_shout.id = 'chat_message';
			i_shout.disabled = false;
			i_shout.style.marginLeft = '6px';
			i_shout.style.width = width_post;
			i_shout.style.color = '#9a9a9a';
			i_shout.value = i_shout.defaultValue = Lang['SHOUT_AUTO'];
			i_shout.onclick = function(){
				if(this.value == Lang['SHOUT_AUTO']){
					this.value = ''
				}
				this.style.color = 'black';
			}
			i_shout.onblur = function(){
				if(this.value == ''){
					this.value = Lang['SHOUT_AUTO'];
				}
				this.style.color = '#9a9a9a';
				if(this.value != '' && this.value != Lang['SHOUT_AUTO']){
					this.style.color = 'black'
				}
			}
			i_shout.onfocus = function(){
				if(this.value == Lang['SHOUT_AUTO']){
					this.value = ''
				}
				this.style.color = 'black';
			}
			i_shout.onkeypress = function(evt){
				try{
					supp_text('chat_message');
					evt = (evt) ? evt : event;
					var c = (evt.wich) ? evt.wich : evt.keyCode;
					if(c == 13){
						document.getElementById('user').click();
						evt.returnValue = false;
						this.returnValue = false;
						return false;
					}
					return true;
				}catch(e){
					handle(e);
					return;
				}
			}
			posting_box.appendChild(i_shout);
			posting_box.appendChild(tn(' '));
			var el = ce('input');
			el.name = el.id = 'user';
			el.value = el.defaultValue = Lang['POST_MESSAGE'];
			el.title = Lang['POST_MESSAGE_ALT'];
			el.type = 'button';
			el.className = 'button1 btnmain';
			el.onclick = function(){
				if(document.getElementById('chat_message').value == Lang['SHOUT_AUTO'] || document.getElementById('chat_message').value == ''){
					alert(Lang['MESSAGE_EMPTY']);
					return;
				}
				if(limit_post == false && max_post_shout>0){
					if(document.getElementById('chat_message').value.length>max_post_shout){
						alert(Lang['SHOUT_TOO_BIG']+document.getElementById('chat_message').value.length+'\n'+Lang['SHOUT_TOO_BIG2']+max_post_shout);
						return;
					}
				}
				if(isGuest == true){
					if(document.getElementById('shoutname').value == ''){
						alert(Lang['SHOUT_CHOICE_NAME_ERROR']);
						return;
					}
					sE('shout_name',2);
					sE('shoutnameyes',2);
				}
				NBQuery.value = 0;
				try{
					if(smilies == true && smilies_ok == true){
						smilies = false;
						iH('smilies','');
						sE('smilies_ul',2);
						sE('smilies',2);
						el.title = Lang['NO_SMILIES'];
					}
					if(colour == true && color_ok == true){
						colour = false;
						sE('colour_shoutbox',2);
						colored.title = Lang['SHOUT_COLOR'];
					}
					if(chars_view == true && chars_ok == true){
						chars_view = false;
						sE('shout_chars',2);
						chars.title = Lang['SHOUT_CHARS'];
					}
					if(oppost_view == true && bbcode_ok == true){
						oppost_view = false;
						sE('shoutbox_posting',2);
						oppost.title = Lang['SHOUT_BBCODES'];
					}
					if(shout_text == true && format_ok == true){
						shout_text = false;
						sE('shout_bbcode',2);
						button_text.title = Lang['SHOUT_PERSO'];
					}
					if(shout_rules == true && rules_ok == true){
						shout_rules = false;
						sE('shout_rules',2);
						div_rules.title = (is_priv == true) ? Lang['SHOUT_RULES_PRIV'] : Lang['SHOUT_RULES'];
					}
					this.disabled = true;
					sE('post_message',2);
					this.disabled = false;
					iH('msg_txt','');
					document.getElementById('msg_txt').appendChild(tn(Lang['SENDING']));
					if(document.getElementById('chat_message').value == '' || document.getElementById('chat_message').value == Lang['SHOUT_AUTO']){
						iH('msg_txt','');
						throw err_msg(Lang['MESSAGE_EMPTY'], true);
					}
					if(huit.readyState == 4 || huit.readyState == 0){
						huit.open('POST',post_url,true);
						huit.onreadystatechange = function(){
							try{
								if(huit.readyState != 4){
									return;
								}
								if(huit.readyState == 4){
									data = huit.responseText;
									if(data.indexOf('{errors}') != -1){
										msg = data.split('{errors}');
										throw err_msg(msg[1],false);
									}
									if(data.indexOf('xdebug-error') != -1){
										msg = data.split('</th></tr>');
										throw err_msg(msg[1]+msg[2],false);
									}
									else
									{
										data = JSON.parse(data);
										data = data.split('||');
										if(data[1] == ''){
											throw err_msg(Lang['SERVER_ERR'],false,true);
											setError(0);
											return;
										}else{
											iH('msg_txt','');
											document.getElementById('msg_txt').appendChild(tn(Lang['POSTED']));
											setTimeout("iH('msg_txt','')",1500);
											sE('post_message',1);
											count = 0;
											clearTimeout(timer_in);
											reload_post();
										}
									}
									document.getElementById('chat_message').focus();
								}
							}catch(e){
								handle(e);
								return;
							}
						}
						post = 'chat_message=';
						post += encodeURIComponent(document.getElementById('chat_message').value);
						if(document.getElementById('user_cite').innerHTML != ''){
							post += '&cite=';
							post += encodeURIComponent(document.getElementById('user_cite').innerHTML);
						}
						document.getElementById('chat_message').value = '';
						document.getElementById('user_cite').innerHTML = '';
						if(smilies == true && smilies_ok == true){
							smilies = false;
							iH('smilies','');
							sE('smilies_ul',2);
							sE('smilies',2);
							el.title = Lang['SMILIES'];
						}
						if(colour == true && color_ok == true){
							colour = false;
							sE('colour_shoutbox',2);
							colored.title = Lang['SHOUT_COLOR'];
						}
						if(chars_view == true && chars_ok == true){
							chars_view = false;
							sE('shout_chars',2);
							chars.title = Lang['SHOUT_CHARS'];
						}
						if(oppost_view == true && bbcode_ok == true){
							oppost_view = false;
							sE('shoutbox_posting',2);
							oppost.title = Lang['SHOUT_BBCODES'];
						}
						if(shout_text == true && format_ok == true){
							shout_text = false;
							sE('shout_bbcode',2);
							button_text.title = Lang['SHOUT_PERSO'];
						}
						if(shout_rules == true && rules_ok == true){
							shout_rules = false;
							sE('shout_rules',2);
							if(is_priv == true){
								div_rules.title = Lang['SHOUT_RULES_PRIV']
							}else{
								div_rules.title = Lang['SHOUT_RULES'];
							}
						}
						playSound(4);
						huit.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
						huit.send(post);
					}else{
						throw err_msg('Double request found!',false,true);
					}
				}catch(e){
					sE('post_message',3);
					setTimeout("iH('msg_txt','')",3000);
					handle(e);
					return;
				}
			}
			posting_box.appendChild(el);
			posting_box.appendChild(tn(' '));
			if(smilies_ok == true){
				el = ce('input');
				el.type = 'button';
				el.className = 'button_shout_smile button_shout';
				if(smilies == true){
					el.title = Lang['SMILIES_CLOSE'];
				}else{
					el.title = Lang['SMILIES'];
				}
				el.onclick = function(){
					try{
						if(smilies == true){
							smilies = false;
							iH('smilies','');
							sE('smilies_ul',2);
							sE('smilies',2);
							el.title = Lang['SMILIES'];
							add_text('chat_message');
						}else{
							smilies = true;
							sE('smilies_ul',1);
							sE('smilies',1);
							iH('smilies','<div style="text-align:center;margin:25px auto;">'+img_charge+Lang['LOADING']+'</div>');
							document.getElementById('smilies').appendChild(tn(''));
							el.title = Lang['SMILIES_CLOSE'];
							if(hsmilies.readyState == 4 || hsmilies.readyState == 0){
								hsmilies.open('GET',smilies_url,true);
								hsmilies.onprogress = onProgress;
								hsmilies.onreadystatechange = function(){
									try{
										if(hsmilies.readyState != 4){
											return;
										}
										if(hsmilies.readyState == 4){
											onsmilies = hsmilies.responseText;
											onsmilies = JSON.parse(onsmilies);
											onsmilies = onsmilies.split('||');
											if(onsmilies[0] != 'smilies'){
												throw err_msg(Lang['SERVER_ERR'],false,true);
												return;
											}else{
												var tmp = onsmilies[3];
												var nrsmil = onsmilies[1];
												var plus = false;
												if(nrsmil > 0){
													plus = true;
												}
												iH('smilies',onsmilies[2]);
												var a = ce('a');
												a.title = Lang['SHOUT_MORE_SMILIES_ALT'];
												a.id = 'url_more';
												a.style.cursor = 'pointer';
												a.style.marginBottom = '5px';
												a.onclick = function(){
													try{
														smilies = true;
														sE('smilies_ul',1);
														sE('smilies',1);
														iH('smilies','<div style="text-align:center;margin:25px auto;">'+img_charge+Lang['LOADING']+'</div>');
														document.getElementById('smilies').appendChild(tn(''));
														el.title = Lang['SMILIES_CLOSE'];
														if(hsmilies.readyState == 4 || hsmilies.readyState == 0){
															hsmilies.open('GET',smilies_popup_url,true);
															hsmilies.onprogress = onProgress;
															hsmilies.onreadystatechange = function(){
																try{
																	if(hsmilies.readyState != 4){
																		return;
																	}
																	if(hsmilies.readyState == 4){
																		onsmilies = hsmilies.responseText;
																		onsmilies = JSON.parse(onsmilies);
																		onsmilies = onsmilies.split('||');
																		if(onsmilies[0] != 'smilies_popup'){
																			throw err_msg(Lang['SERVER_ERR'],false,true);
																			return;
																		}else{
																			plus = false;
																			var nrsmil = onsmilies[1];
																			iH('smilies',onsmilies[2]);
																		}
																	}
																}catch(e){
																	handle(e);
																	return;
																}
															}
															hsmilies.send(null);
														}
													}catch(e){
														handle(e);
														return;
													}
												}
												if(plus == true){
													a.appendChild(tn(Lang['SHOUT_MORE_SMILIES']));
													document.getElementById('smilies').appendChild(tn('... '));
													document.getElementById('smilies').appendChild(a);
												}
												if(shout_creator == true){
													var aa = ce('a');
													aa.title = Lang['SMILIE_CREATOR'];
													aa.id = 'url_more';
													aa.style.cursor = 'pointer';
													aa.style.marginBottom = '5px';
													aa.onclick = function(){
														shout_popup(shout_creator_url,'550','550','_phpbbsmiliescreate');
													}
													aa.appendChild(tn(Lang['SMILIE_CREATOR']));
													document.getElementById('smilies').appendChild(tn('... '));
													document.getElementById('smilies').appendChild(aa);
												}
											}
										}
									}catch(e){
										handle(e);
										return;
									}
								}
								hsmilies.send(null);
							}
						}
					}catch(e){
						handle(e);
						return;
					}
				}
				posting_box.appendChild(el);
				posting_box.appendChild(tn(' '));
			}else if(see_buttons == true){
				var el = ce('input');
				el.type = 'button';
				el.className = 'button_shout_smile_no button_shout';
				el.title = Lang['NO_SMILIES'];
				el.onclick = function(){
					alert(Lang['NO_SMILIES']);
					this.style.display = 'none';
				}
				posting_box.appendChild(el);
				posting_box.appendChild(tn(' '));
			}
			if(color_ok == true){
				var colored = ce('input');
				colored.type = 'button';
				colored.className = 'button_shout_color button_shout';
				colored.accesskey = 'c';
				colored.name = colored.id = 'color_shout1';
				colored.onclick = function(){
					try{
						if(colour == true){
							colour = false;
							sE('colour_shoutbox',2);
							colored.title = Lang['SHOUT_COLOR'];
							add_text('chat_message');
						}else{
							colour = true;
							sE('colour_shoutbox',1);
							colored.title = Lang['SHOUT_COLOR_CLOSE'];
							supp_text('chat_message');
							document.getElementById('colour_shoutbox').appendChild(tn(' '));
						}
					}catch(e){
						handle(e);
						return;
					}
				}
				if(colour == true){
					colored.title = Lang['SHOUT_COLOR_CLOSE'];
				}else{
					colored.title = Lang['SHOUT_COLOR'];
				}
				posting_box.appendChild(colored);
				posting_box.appendChild(tn(' '));
			}else if(see_buttons == true){
				var colored = ce('input');
				colored.type = 'button';
				colored.className = 'button_shout_color_no button_shout';
				colored.accesskey = 'c';
				colored.name = colored.id = 'color_shout1';
				colored.title = Lang['NO_SHOUT_COLOR'];
				colored.onclick = function(){
					alert(Lang['NO_SHOUT_COLOR']);
					this.style.display = 'none';
				}
				posting_box.appendChild(colored);
				posting_box.appendChild(tn(' '));
			}
			if(chars_ok == true){
				var chars = ce('input');
				chars.type = 'button';
				chars.className = 'button_shout_chars button_shout';
				chars.name = chars.id = 'chars01';
				chars.onclick = function(){
					try{
						if(chars_view == true){
							chars_view = false;
							sE('shout_chars',2);
							chars.title = Lang['SHOUT_CHARS'];
							add_text('chat_message');
						}else{
							chars_view = true;
							sE('shout_chars', 1);
							chars.title = Lang['SHOUT_CHARS_CLOSE'];
							supp_text('chat_message');
							document.getElementById('shout_chars').appendChild(tn(' '));
						}
					}catch(e){
						handle(e);
						return;
					}
				}
				chars.title = (chars_view == true) ? Lang['SHOUT_CHARS_CLOSE'] : Lang['SHOUT_CHARS'];
				posting_box.appendChild(chars);
				posting_box.appendChild(tn(' '));
			}else if(see_buttons == true){
				var chars = ce('input');
				chars.type = 'button';
				chars.className = 'button_shout_chars_no button_shout';
				chars.name = chars.id = 'chars01';
				chars.title = Lang['NO_SHOUT_CHARS'];
				chars.onclick = function(){
					alert(Lang['NO_SHOUT_CHARS']);
					this.style.display = 'none';
				}
				posting_box.appendChild(chars);
				posting_box.appendChild(tn(' '));
			}
			if(bbcode_ok == true){
				var oppost = ce('input');
				var OnPost = document.getElementById('shoutbox_posting');
				oppost.type = 'button';
				oppost.className = 'button_shout_img button_shout';
				oppost.onclick = function(){
					if(oppost_view == true){
						oppost_view = false;
						OnPost.style.display = 'none';
						oppost.title = Lang['SHOUT_BBCODES'];
					}else{
						oppost_view = true;
						OnPost.style.display = 'block';
						oppost.title = Lang['SHOUT_BBCODES_CLOSE'];
					}
				}
				oppost.title = (oppost_view == true) ? Lang['SHOUT_BBCODES_CLOSE'] : Lang['SHOUT_BBCODES'];
				posting_box.appendChild(oppost);
				posting_box.appendChild(tn(' '));
			}else if(see_buttons == true){
				
				var bbcode = ce('input');
				bbcode.type = 'button';
				bbcode.className = 'button_shout_img button_shout';
				bbcode.title = Lang['NO_SHOUT_BBCODE'];
				bbcode.onclick = function(){
					alert(Lang['NO_SHOUT_BBCODE']);
				}
				posting_box.appendChild(bbcode);
				posting_box.appendChild(tn(' '));
			}
			if(sort_shout == 'normal' || sort_shout == 'priv'){
				if(popup_ok == true){
					var popup = ce('input');
					popup.type = 'button';
					popup.className = 'button_shout_popup button_shout';
					popup.title = Lang['SHOUT_POP'];
					popup.onclick = function(){
						shout_popup(popup_url,shout_popup_width,shout_popup_height,'_popup');
					}
				}else if(see_buttons == true){
					var popup = ce('input');
					popup.type = 'button';
					popup.className = 'button_shout_popup_no button_shout';
					popup.title = Lang['NO_SHOUT_POP'];
					popup.onclick = function(){
						alert(Lang['NO_SHOUT_POP']);
						this.style.display = 'none';
					}
				}
				posting_box.appendChild(popup);
				posting_box.appendChild(tn(' '));
			}
			if(active_purge == true){
				var purge_r = ce('input');
				purge_r.type = 'button';
				purge_r.name = purge_r.id = 'purge_r';
				purge_r.className = 'button_shout_robot button_shout';
				purge_r.title = Lang['SHOUT_PURGE_ROBOT_ALT'];
				purge_r.onclick = function(){
					if(confirm(Lang['SHOUT_PURGE_ROBOT_BOX'])){
						purge_shout(purge_robot_url,'purge_robot'+((is_priv == true) ? '_priv' : ''));
						this.style.display = 'none';
					}
				}
				posting_box.appendChild(purge_r);
				posting_box.appendChild(tn(' '));
				var purge = ce('input');
				purge.type = 'button';
				purge.name = purge.id = 'purge';
				purge.className = 'button_shout_purge button_shout';
				purge.title = Lang['SHOUT_PURGE_ALT'];
				purge.onclick = function(){
					if(confirm(Lang['SHOUT_PURGE_BOX'])){
						purge_shout(purge_url,'purge'+((is_priv == true) ? '_priv' : ''));
						this.style.display = 'none';
					}
				}
				posting_box.appendChild(purge);
				posting_box.appendChild(tn(' '));
			}
			if(is_user == true){
				if(sort_shout == 'normal'){
					if(priv_ok == true){
						var priv = ce('input');
						priv.type = 'button';
						priv.className = 'button_shout_priv button_shout';
						priv.title = Lang['SHOUT_PRIV'];
						priv.onclick = function(){
							shout_priv(priv_url);
						}
						posting_box.appendChild(priv);
						posting_box.appendChild(tn(' '));
					}
				}
				if(format_ok == true){
					var button_text = ce('input');
					button_text.type = 'button';
					button_text.id = 'button_shout_text';
					button_text.className = 'button_shout_text button_shout';
					button_text.title = Lang['SHOUT_PERSO'];
					button_text.onclick = function(){
						if(shout_text == true){
							shout_text = false;
							sE('shout_bbcode',2);
							button_text.title = Lang['SHOUT_PERSO'];
						}else{
							shout_text = true;
							changePerso(userId);
							button_text.title = Lang['SHOUT_DIV_BBCODE_CLOSE'];
							document.getElementById('shout_bbcode').appendChild(tn(' '));
						}
					}
					if(shout_text == true){
						button_text.title = Lang['SHOUT_DIV_BBCODE_CLOSE'];
					}else{
						button_text.title = Lang['SHOUT_PERSO'];
					}
					posting_box.appendChild(button_text);
					posting_box.appendChild(tn(' '));
				}
				var button_config = ce('input');
				button_config.type = 'button';
				button_config.className = 'button_shout_config button_shout';
				button_config.title = Lang['SHOUT_CONFIG_OPEN'];
				button_config.onclick = function(){
					shout_popup(config_url,'850','500','_popup');
				}
				posting_box.appendChild(button_config);
				posting_box.appendChild(tn(' '));
			}
			if(rules_ok == true){
				var div_rules = ce('input');
				div_rules.type = 'button';
				div_rules.className = 'button_shout_rules button_shout';
				div_rules.onclick = function(){
					if(shout_rules == true){
						shout_rules = false;
						sE('shout_rules',2);
						div_rules.title = (is_priv == true) ? Lang['SHOUT_RULES_PRIV'] : Lang['SHOUT_RULES'];
					}else{
						shoutRules();
						shout_rules = true;
						sE('shout_rules',1);
						div_rules.title = Lang['SHOUT_RULES_CLOSE'];
						document.getElementById('shout_rules').appendChild(tn(' '));
					}
				}
				if(shout_rules == true){
					div_rules.title = Lang['SHOUT_RULES_CLOSE'];
				}else{
					div_rules.title = (is_priv == true) ? Lang['SHOUT_RULES_PRIV'] : Lang['SHOUT_RULES'];
				}
				posting_box.appendChild(div_rules);
				posting_box.appendChild(tn(' '));
			}
			var button_online = ce('input');
			button_online.type = 'button';
			button_online.className = 'button_shout_online button_shout';
			button_online.title = Lang['SHOUT_ONLINE'];
			button_online.onclick = function(){
				if(shout_online == true){
					clearTimeout(timer_online);
					shout_online = false;
					sE('shout_online',2);
					button_online.title = Lang['SHOUT_ONLINE'];
				}else{
					shout_online = true;
					sE('shout_online',1);
					button_online.title = Lang['SHOUT_ONLINE_CLOSE'];
					shoutOnline();
					timer_online = setInterval('shoutOnline();',30000);
					document.getElementById('shout_online').appendChild(tn(' '));
				}
			}
			button_online.title = (shout_online == true) ? Lang['SHOUT_ONLINE_CLOSE'] : Lang['SHOUT_ONLINE'];
			posting_box.appendChild(button_online);
			posting_box.appendChild(tn(' '));
			var button_sound = ce('input');
			button_sound.type = 'button';
			button_sound.id = 'iconSound';
			button_sound.className = soundClass+' button_shout';
			button_sound.title = Lang['SHOUT_TITLESOUND'];
			button_sound.onclick = function(){
				goguest = (isGuest == true) ? 1 : 0;
				soundReq(goguest);
			}
			posting_box.appendChild(button_sound);
			posting_box.appendChild(tn(' '));
			if(isGuest == true){
				var button_connect = ce('input');
				button_connect.type = 'button';
				button_connect.className = 'button_shout_connect button_shout';
				button_connect.title = Lang['SHOUT_CLICK_HERE'];
				button_connect.onclick = function(){
					if(document.getElementById('shout_connect').style.display == 'none'){
						sE('shout_connect',1);
						button_connect.className = 'button_shout_connect_on button_shout';
						button_connect.title = Lang['SHOUT_DIV_CLOSE'];
					}else{
						sE('shout_connect',2);
						button_connect.className = 'button_shout_connect button_shout';
						button_connect.title = Lang['SHOUT_CLICK_HERE'];
					}
				}
				posting_box.appendChild(button_connect);
				posting_box.appendChild(tn(' '));
				var button_name = ce('input');
				button_name.type = 'button';
				button_name.id = 'iconName';
				button_name.className = 'button_shout_name button_shout';
				button_name.title = Lang['SHOUT_CHOICE_NAME'];
				button_name.onclick = function(){
					if(document.getElementById('shout_name').style.display == 'none'){
						sE('shout_name',1);
						button_name.className = 'button_shout_name_on button_shout';
						button_name.title = Lang['SHOUT_DIV_CLOSE'];
					}else{
						sE('shout_name',2);
						button_name.className = 'button_shout_name button_shout';
						button_name.title = Lang['SHOUT_CHOICE_NAME'];
					}
					sE('shoutnameyes',2);
				}
				posting_box.appendChild(button_name);
				posting_box.appendChild(tn(' '));
			}
			
			posting_box.appendChild(lecteur1);
			posting_box.appendChild(lecteur2);
			posting_box.appendChild(lecteur3);
			posting_box.appendChild(lecteur4);
			posting_box.appendChild(lecteur5);
			posting_box.appendChild(tn(' '));
			
			if(bar_haute == true){
				posting_form.appendChild(posting_box);
				dl.appendChild(posting_form);
				li.appendChild(dl);
				base.appendChild(li);
			}
			if(bar_haute == true && sort_pagin == true){
				var pagin = ce('dd');
				pagin.id = 'nr';
				pagin.style.marginTop = '0px';
				pagin.style.padding = '4px';
				pagin.style.cssFloat = pagin.style.styleFloat = 'right';
				pagin.style.height = 'auto';
				pagin.style.width = 'auto';
				pagin.style.border = '0';
				pagin.className = 'pagination gensmall';
				dl.appendChild(pagin);
			}
		}
		var msg_txt = ce('div');
		msg_txt.id = 'msg_txt';
		msg_txt.style.textAlign = 'center';
		msg_txt.appendChild(tn(''));
		base.appendChild(msg_txt);
		var d_shout = document.getElementById('shout-1');
		var t_shout = document.getElementById('shout-2');
		if(lang_direction == 'right'){
			t_shout.style.styleFloat = t_shout.style.cssFloat = 'left';
			t_shout.style.padding = '0 0 0 2px';
		}else{
			t_shout.style.styleFloat = t_shout.style.cssFloat = 'right';
			t_shout.style.padding = '0 2px 0 0';
		}
		var post = ce('div');
		post.style.display = 'block';
		post.id = 'msg';
		//post.className = 'content';
		post.style.width = '100%';
		if(is_compatible == true && message_on){
			post.style.height = shout_height+'px';
			post.style.overflowY = 'auto';
			post.style.overflowX = 'hidden';
		}else if(is_compatible == false && message_on){
			post.style.height = 'auto';
			post.style.overflowY = 'hidden';
			post.style.overflowX = 'hidden';
		}else{
			post.style.height = 'auto';
			post.style.overflowY = 'hidden';
		}
		post.innerHTML = '<div style="text-align:center;margin:50px auto;">'+img_charge+message_on+'</div>';
		post.appendChild(tn(''));
		base.appendChild(post);
		if(bar_haute == false && post_ok == true){
			posting_form.appendChild(posting_box);
			dl.appendChild(posting_form);
			if(sort_pagin == true){
				var pagin = ce('dd');
				pagin.id = 'nr';
				pagin.className = 'pagination';
				pagin.style.marginTop = '0px';
				pagin.style.padding = '8pt 4pt 4pt';
				pagin.style.height = 'auto';
				pagin.style.width = 'auto';
				pagin.style.verticalAlign = 'middle';
				pagin.style.backgroundImage = 'none';
				pagin.style.marginRight = '3pt';
				pagin.style.cssFloat = pagin.style.styleFloat = 'right';
				pagin.style.borderLeft = '0';
				dl.appendChild(pagin);
			}
			li.appendChild(dl);
			base.appendChild(li);
		}
		if(sort_pagin == false || post_ok == false && sort_pagin == false){
			var pagindiv = ce('div');
			var paginul = ce('ul');
			paginul.className = 'topiclist forums';
			paginul.style.margin = '0';
			var pagin = ce('li');
			pagin.id = 'nr';
			pagin.className = 'button_background '+button_bg+' pagination';
			pagin.style.textAlign = lang_direction;
			pagin.style.margin = '0';
			pagin.style.padding = '3pt 0pt 2pt';
			pagin.style.height = '16px';
			pagin.style.width = '100%';
			pagindiv.style.height = '22px';
			pagindiv.id = 'divnr';
			paginul.appendChild(pagin);
			pagindiv.appendChild(paginul);
			base.appendChild(pagindiv);
		}
		div.innerHTML = '';
		div.appendChild(base);
		reload_post();
		reload_page();
	}catch(e){
		handle(e);
		return;
	}
}
